// 初始化fk2
const fs = require('fs');
const addJson = require('./plug-in/addJSON');
const logs = require('./plug-in/colorLog');
const rrid = require('rrid');
const hData = {"http":80,"https":443}
const cData = {"workHost": "127.0.0.1","workOpen": "1","workPort": 443}
const {task,work,log,server,funct,host,conf,pkg} = require('./plug-in/fk2Path');
function initAll() {
    const secret = rrid.key(128);
    const key = rrid.md5(new Date().getTime().toString());
    const sData = {key,secret,auth: false,auto: false,ipList:["127.0.0.1"]}
    mkdirSync(work);
    mkdirSync(log);
    mkdirSync(pkg);
    mkdirSync(funct);
    addJson(task);
    addJson(conf,cData);
    addJson(host,hData);
    addJson(server,sData);
    function mkdirSync(url) {
        if(!fs.existsSync(url)){
            fs.mkdirSync(url);
        }
    }
}
module.exports = {
    init(){
        // 初始化
        if (!fs.existsSync(work)){
            initAll();
            console.log('\n');
            require('./auth');
            logs.close();
        }else{
            logs.close();
            logs.skyBlue('The initialization has been completed! \n');
            require('./auth');
            logs.close();
        }
    },
    reset(){
        // 恢复初始化
        initAll();
        logs.close();
        logs.skyBlue('Restore the initial setup! \n');
        require('./auth');
        logs.close();
    }
}
return
module.exports = () => {
    return new Promise((resolve) => {
        function dirAll() {

        }
        if (!fs.existsSync(work)) {
            // 检查工作目录 .fk2
            dirAll();
            console.log('\n');
            logs.g('Service auth code : ' + rrid.md5(key + secret) + '\n');
            logs.close();
            resolve();
        } else {
            dirAll();
            logs.close();
            logs.skyBlue('The initialization has been completed! \n');
            require('./auth');
            logs.close();
            resolve();
        }
    })
}
