const fs = require('fs');
const http = require('http');
const https = require('https');
const express = require('express');
const app = express();
app.use(express.json()); //  application/json
app.disable('x-powered-by');//去除x-powered-by响应字段
app.use(express.urlencoded({ extended: true }));// application/x-www-form-urlencoded
const {host} = require('../plug-in/fk2Path');
const hosts = fs.readFileSync(host);
const myssl = require('./myssl');
const main = require('./main');
// 根据项目的路径导入生成的证书文件
app.all('*', (req, res) => {
    main(req,res,hosts);
})
http.createServer(app).listen(hosts.http?hosts.http:80)
https.createServer(myssl(hosts), app).listen(hosts.https?hosts.https:443);
